Package com.sun.grid.jsv

## Enum JsvManager.LogLevel

- java.lang.Object
- - java.lang.Enum<JsvManager.LogLevel>
  - - com.sun.grid.jsv.JsvManager.LogLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JsvManager.LogLevel>`
  Enclosing class:
    JsvManager

      public static enum JsvManager.LogLevel
      extends java.lang.Enum<JsvManager.LogLevel>

  The LogLevel enumeration is used to control the log level of messages logged through the JSV framework. Note that this log level is independent of the Logger.
  See Also:
    `JsvManager.log(com.sun.grid.jsv.JsvManager.LogLevel, java.lang.String)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` |
    `INFO` |
    `WARNING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JsvManager.LogLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JsvManager.LogLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final JsvManager.LogLevel INFO

    - #### WARNING

          public static final JsvManager.LogLevel WARNING

    - #### ERROR

          public static final JsvManager.LogLevel ERROR

  - ### Method Detail

    - #### values

          public static JsvManager.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsvManager.LogLevel c : JsvManager.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsvManager.LogLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null